Bug 1838160 - 'Registered hosts' report does not list kernel release for rhsm clients
Summary: 'Registered hosts' report does not list kernel release for rhsm clients
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.6.0
Hardware: All
OS: All
unspecified
low vote
Target Milestone: 6.8.0
Assignee: Ranjan Kumar
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-20 14:46 UTC by Ranjan Kumar
Modified: 2020-10-27 13:02 UTC (History)
5 users (show)

Fixed In Version: foreman-2.1.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:02:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 29891 0 Normal Closed 'Registered hosts' report does not list kernel release for rhsm clients 2021-02-08 16:50:51 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:02:55 UTC

Description Ranjan Kumar 2020-05-20 14:46:04 UTC
Description of problem: Kernel version is not listed for rhsm client in "Registered hosts" report

# hammer report-template generate --id 107
syssat65.gsslab.pnq2.redhat.com,10.74.131.50,RedHat 7.6,"","","",3.10.0-957.21.3.el7.x86_64,""
arvinder,172.20.5.145,RedHat 7.5,"Employee SKU,Red Hat Satellite Employee Subscription","",Admin User,"",""
rhel7u5-9.gsslab.rdu2.redhat.com,10.10.177.21,RedHat 7.5,Employee SKU,"",Admin User,"",""
172.20.5.145,"","","","","","",""
rhel7u5-7.gsslab.rdu2.redhat.com,10.10.177.19,RedHat 7.5,Employee SKU,"",Anonymous Admin,"",""
rhel7u6-1.gsslab.brq2.redhat.com,10.44.128.100,RedHat 7.6,Employee SKU,"",Admin User,"",""
dhcp131-69,10.74.131.69,RedHat 8.0,Employee SKU,"",Anonymous Admin,"",""

Here is kernel detail on client
[root@syssat65 ~]# rpm -qa | grep kernel
kernel-3.10.0-957.21.3.el7.x86_64

[root@syssat65 ~]# subscription-manager facts | grep uname.release
uname.release: 3.10.0-957.21.3.el7.x86_64

Version-Release number of selected component (if applicable): Satellite 6.6

How reproducible: Always

Steps to Reproduce:
1. Register client to satellite
2. Do not run puppet or ansible on the client
3. Try to generate "Registered hosts" report


Expected results: Report should list kernel version

Comment 4 Lukáš Hellebrandt 2020-06-18 14:59:34 UTC
Verified with Sat 6.8 snap 5.0.

Used reproducer from OP and workarounded bug 1843846. The Kernel column contains correct kernel version.

Comment 7 errata-xmlrpc 2020-10-27 13:02:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.